import 'package:boomerang/boomerang.dart';
import 'package:dart_json_mapper/dart_json_mapper.dart';

class JsonMapperConverter implements TypeConverter {

  @override
  Map<String, dynamic> toJson<T>(T json) =>
      JsonMapper.toMap(json);

  @override
  T fromJson<T>(Map<String, dynamic> jsonMap) =>
      JsonMapper.fromMap<T>(jsonMap);

}
